{% extends "generalLayout.html" %} {% block content %}
<span class="validation">{{ error|nl2br }}</span>
{% if halt!=true %}
<title>Admin</title>
<link rel="stylesheet" href="style/StyleAdmin.css">

<form method="post" action="../admin.php">
  <input type="submit" name="ExpandOnMenu" style="width: 7%" value="Menu" />
  <label style="position:absolute;left:50%;top:7%;font-size:xx-large;font-weight:bold">Admin</label>
  <input type="submit" name="ExpandOnPages" style="width: 7%;" value="Pages" />
</form>

<div id="Categories">
  {% for catrows in Categories %}

  <form method="post" action="../admin.php">
    <input type="hidden" name="categoryid" value="{{catrows['id']}}" />
    <input type="submit" name="category" value="{{catrows['name']}}" />

    {% if catrows["delete"] == 1 %}
    <input type="hidden" name="categoryid" value="{{catrows['id']}}" />
    <input type="submit" style="margin-left: 54%" name="deleteCategory" value="Restore" />
    {% endif %}

    {% if catrows["delete"] != 1 %}
    <input type="hidden" name="categoryid" value="{{catrows['id']}}" />
    <input type="submit" style="margin-left:54%" name="editCategory" value="Edit" />

    <input type="hidden" name="categoryid" value="{{catrows['id']}}" />
    <input type="submit"  name="deleteCategory" value="Delete" />
    {% endif %}
  </form>

  {% if catrows["delete"] != 1 %}

    {% if validation == 2 and categoryid == catrows["id"]%}
    <div id="categoryEdit">
      <form
        method="post"
        action="../includes/edit-category.inc.php"
        enctype="multipart/form-data"
      >
        <input type="hidden" name="categoryid" value="{{catrows['id']}}" />
        <label>Name<input type="text" name="name" /></label>
        <label>Description<input type="text" name="description" /></label>
        <label>Image<input type="file" name="image" /></label>
        <br />
        <input type="submit" name="catedit" value="Edit" />
      </form>
    </div>

    {% endif %}
    {% if validation == 3 and categoryid == catrows["id"] %}

    <div id="categoryDelete">
      <form method="post" action="../includes/delete-category.inc.php">
        <input type="hidden" name="categoryid" value="{{catrows['id']}}" />
        <input type="hidden" name="delete" value="1" required/>
        <input
          type="submit"
          name="catdelete"
          value="Are you sure you want to delete {{catrows['name']}}?"
        />
      </form>
    </div>

    {% endif %}
      {% if categoryid == catrows["id"] %}
        {% for menrows in MenuItem %}
          <label name="{{menrows['id']}}">{{menrows['name']}}</label>
          {% if menrows["delete"] != 1 %}
            <form method="post" action="../admin.php">
              <input type="hidden" name="menuid" value="{{menrows['id']}}" />
              <input type="hidden" name="categoryid" value="{{catrows['id']}}" />
              <input type="submit" name="editMenu" value="Edit" />
            </form>

            {% if validation == 5 and menuID == menrows["id"]%}
              <div id="menuEdit">
                <form
                  method="post"
                  action="../includes/edit-menu.inc.php"
                  enctype="multipart/form-data"
                >
                  <input type="hidden" name="menuid" value=" {{ menrows['id'] }}" />
                  <input type="hidden" name="categoryid" value="{{ catrows['id'] }}" />
                  <label>Name<input type="text" name="name" /></label>
                  <label>Description<input type="text" name="description" /></label>
                  <label>Allergies If Any<input type="text" name="allergy" /></label>
                  <label>Spice Level<input type="text" name="spice" /></label>
                  <label>Price<input type="number" step="0.01" name="price" /></label>
                  <label>Image<input type="file" name="image" /></label>
                  <br />
                  <input type="submit" name="menedit" value="Edit" />
                </form>
              </div>
            {% endif %}
            <form method="post" action="../admin.php">
              <input type="hidden" name="menuid" value="{{menrows['id']}}" />
              <input type="hidden" name="categoryid" value="{{catrows['id']}}" />
              <input type="hidden" name="delete" value="1" />
              <input type="submit" name="deleteMenu" value="Delete" />
            </form>

            {% if validation == 6 and menuID == menrows["id"]%}
            <div id="menuDelete">
              <form method="post" action="../includes/delete-menu.inc.php">
                <input type="hidden" name="menuid" value="{{menrows['id']}}" />
                <input type="hidden" name="categoryid" value="{{catrows['id']}}" />
                <input type="hidden" name="delete" value="1" />
                <input
                  type="submit"
                  name="mendelete"
                  value="Are you sure you want to delete {{menrows['name']}}?"
                />
              </form>
            </div>
            {% endif %}
          {% endif %}
          {% if menrows["delete"] == 1 %}
            <form method="post" action="../admin.php">
              <input type="hidden" name="categoryid" value="{{catrows['id']}}" />
              <input type="hidden" name="menuid" value="{{menrows['id']}}" />
              <input type="submit" name="deleteMenu" value="Restore" />
            </form>
            {% if validation == 6 and menuID == menrows["id"]%}
            <div id="menuDelete">
              <form method="post" action="../includes/delete-menu.inc.php">
                <input type="hidden" name="menuid" value="{{menrows['id']}}" />
                <input type="hidden" name="categoryid" value="{{catrows['id']}}" />
                <input type="hidden" name="delete" value="0" />
                <input
                  type="submit"
                  name="mendelete"
                  value="Are you sure you want to restore {{menrows['name']}}?"
                />
              </form>
            </div>

            {% endif %}
          {% endif %}
        {% endfor %}
  {% if validation == -1 %}
        <form method="post" action="../admin.php">
          <input type="hidden" name="categoryid" value="{{catrows['id']}}" />
          <input type="submit" name="addMenu" value="Add" />
        </form>
      {% endif %} {% if validation == 4 and categoryid == catrows["id"] %}

      <div id="menuAdd">
        <form
          method="post"
          action="../includes/upload-menu.inc.php"
          enctype="multipart/form-data"
        >
          <input type="hidden" name="categoryid" value="{{catrows['id']}}" />
          <label>Name<input type="text" name="name" required/></label>
          <label>Description<input type="text" name="description" required/></label>
          <label>Allergies If Any<input type="text" name="allergy" required/></label>
          <label>Spice Level<input type="text" name="spice" required/></label>
          <label>Price<input type="number" step="0.01" name="price" required/></label>
          <label>Image<input type="file" name="image" required/></label>
          <br />
          <input type="submit" name="menadd" value="Add" />
        </form>
      </div>

      {% endif %} {% endif %}
    {% endif %} {% if catrows["delete"] == 1 %}

    {% if validation == 3 and categoryid == catrows["id"] %}

    <div id="categoryDelete">
      <form method="post" action="../includes/delete-category.inc.php">
        <input type="hidden" name="categoryid" value="{{catrows['id']}}" />
        <input type="hidden" name="delete" value="0" />
        <input
          type="submit"
          name="catdelete"
          value="Are you sure you want to restore {{catrows['name']}}?"
        />
      </form>
    </div>

    {% endif %} {% endif %} {% endfor %}
  {% if categoryid != -1 %}

    <form method="post" action="../admin.php">
      <input type="submit" name="addCategory" value="Add" />
    </form>

  {% if validation == 1 %}

  <div id="categoryAdd">
    <form
      method="post"
      action="../includes/upload-category.inc.php"
      enctype="multipart/form-data"
    >
      <label>Name<input type="text" name="name" required/></label>
      <label>Description<input type="text" name="description" required/></label>
      <label>Image<input type="file" name="image" required/></label>
      <input type="submit" name="catadd" value="Add" required/>
    </form>
  </div>

  {% endif %}{% endif %}
</div>

<div id="Pages">

  {% for id,pagename in Pages %}

    <form method="post" action="../admin.php">
      <input type="hidden" name="pageid" value="{{id}}" />
      <input type="submit" name="page" value="{{pagename}}" />
    </form>

    {% if pageid == id %}

      {% if pageid == 0 %}
      <!-- 0 is homepage -->

      <form method="post" action="../includes/writefile.inc.php">
        <input type="hidden" name="file" value="Greeting.txt" />
        <label>Greeting Message</label
        ><input type="text" name="content" value="{{Greeting}}" />
        <input type="submit" name="textEdit" value="Edit" />

      </form>
      {% endif %}

      {% if pageid == 1 %}
      <!-- 1 is about us -->

        {% if validation < 7 %}
        <form method="post" action="../includes/writefile.inc.php">
          <input type="hidden" name="file" value="OwnerDetails.txt" />
          <label>Restaurant Data</label
          ><input type="text" name="content" value="{{restaurantdata}}" />
          <input type="submit" name="textEdit" value="Edit" />
        </form>

        <form method="post" action="../includes/writefile.inc.php">
          <input type="hidden" name="file" value="RestaurantDetails.txt" />
          <label>Owner Details</label
          ><input type="text" name="content" value="{{ownerdetails}}" />
          <input type="submit" name="textEdit" value="Edit" />
        </form>

        {% endif %}
        {% if pageid == 1 %}
          {% if validation < 7 %}
          <form method="post" action="../includes/edit-opening-hours.inc.php">
            <label>Day</label>
            <select name="day">
              {% for openingrows in openinghours %}
              <option value="{{openingrows['id']}}">{{openingrows['day']}}</option>
              {% endfor %}
            </select>
            <label>Opening Time</label>
            <input type="time" name="start" value="" />
            <label>Closing Time</label>
            <input type="time" name="end" value="" />
            <input type="submit" name="dateEdit" value="Edit" />
          </form>

          <form method="post" action="../admin.php">
            <input type="hidden" name="pageid" value="{{id}}" />
            <input type="submit" name="addDate" value="Add Day" />
          </form>

          <form method="post" action="../admin.php">
            <input type="hidden" name="pageid" value="{{id}}" />
            <input type="submit" name="deleteDate" value="Delete Day" />
          </form>

          {% endif %}
        {% endif %}
        {% if validation == 7 %}

        <form method="post" action="../includes/add-day.inc.php">
          <label>Day</label>
          <input type="text" name="day" value="" required/>
          <label>Opening Time</label>
          <input type="time" name="start" value="" required/>
          <label>Closing Time</label>
          <input type="time" name="end" value="" required/>
          <input type="submit" name="addDate" value="Add" />
        </form>

        {% endif %}
        {% if validation == 8 %}
        <div>

          <form method="post" action="../includes/delete-day.inc.php">
            <label>Day</label>
            <select name="day">
              {% for openingrows in openinghours %}
              <option value="{{openingrows['id']}}">{{openingrows['day']}}</option>
              {% endfor %}
            </select>
            <input type="submit" name="dayDelete" value="Delete Day" />
          </form>

        </div>
        {% endif %}
      {% endif %}
    {% endif %}
  {% endfor %}
</div>
{% else %}<br> <a href="../admin.php"><button>Go Back to Admin</button></a>
{% endif %} {% endblock %}
